export class Delta {
    deltaHandler(newValue) {
        if (!newValue) {
            return;
        }
        if (newValue < 0) {
            this.deltaDisplay = (newValue * -1).toString();
            this.positive = false;
        }
        else {
            this.deltaDisplay = newValue.toString();
            this.positive = true;
        }
    }
    periodFormatter(period) {
        switch (period) {
            case 0:
                return 'MoM';
            case 1:
                return 'YoY';
            case 2:
                return 'WoW';
            case 3:
                return 'DoD';
            default:
                return '';
        }
    }
    hostData() {
        return {
            'class': {
                'anj-delta-negative': !this.positive,
                'anj-has-data': !!this.delta
            }
        };
    }
    render() {
        return (this.delta && this.deltaDisplay) ? (h("span", null,
            this.positive ? h("i", { class: "z-icon-arrow-up" }) : h("i", { class: "z-icon-arrow-down" }),
            this.deltaDisplay,
            "% ",
            this.periodFormatter(this.period))) : undefined;
    }
    static get is() { return "anj-delta"; }
    static get properties() { return {
        "delta": {
            "type": Number,
            "attr": "delta",
            "watchCallbacks": ["deltaHandler"]
        },
        "period": {
            "type": Number,
            "attr": "period"
        }
    }; }
    static get style() { return "/**style-placeholder:anj-delta:**/"; }
}
