import { ChartService } from '../../services/chart.service';
export class XAxis {
    constructor() {
        this.show = true;
        this.ticks = true;
    }
    componentDidLoad() {
        const axisConfig = {
            showAxis: this.show,
            showTicks: this.ticks,
            labelType: this.type || 'date',
            formattingOptions: {
                locale: this.locale || 'en-US',
                language: this.language || 'en',
                currency: this.currency || 'USD'
            }
        };
        this.anjXAxisDidLoad.emit(axisConfig);
    }
    async init(svg, dims, data, axisConfigs) {
        return Promise.resolve(ChartService.addXAxis(svg, dims, data, axisConfigs));
    }
    static get is() { return "anj-x-axis"; }
    static get properties() { return {
        "currency": {
            "type": String,
            "attr": "currency"
        },
        "element": {
            "elementRef": true
        },
        "init": {
            "method": true
        },
        "language": {
            "type": String,
            "attr": "language"
        },
        "locale": {
            "type": String,
            "attr": "locale"
        },
        "show": {
            "type": Boolean,
            "attr": "show"
        },
        "ticks": {
            "type": Boolean,
            "attr": "ticks"
        },
        "type": {
            "type": String,
            "attr": "type"
        }
    }; }
    static get events() { return [{
            "name": "anjXAxisDidLoad",
            "method": "anjXAxisDidLoad",
            "bubbles": true,
            "cancelable": true,
            "composed": true
        }]; }
}
